Hail API
GET
/emails

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 200
Default50
status?|null
direction?|null

Header Parameters

authorization?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/emails"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "email_domain_id": "b3a00cb4-43d0-468a-8a5d-50c998cb143f",      "direction": "outbound",      "from_address": "string",      "to_addresses": [        "string"      ],      "cc_addresses": [        "string"      ],      "bcc_addresses": [        "string"      ],      "reply_to": "string",      "subject": "string",      "status": "queued",      "end_reason": "string",      "provider_message_id": "string",      "requested_at": "2019-08-24T14:15:22Z",      "sent_at": "2019-08-24T14:15:22Z",      "failed_at": "2019-08-24T14:15:22Z",      "metadata": {}    }  ],  "next_cursor": "string"}